#!/bin/bash
# deletelinks.sh v5
# script de déconnexion utilisateur
# ajout optionnel synchro ff
# 20201002

ladate=$(date +%F+%T)
fichlog=/home/$USER/session.log
fichlog_ff=/home/$USER/logprofil_ff.log

syncff="no" # passer à "yes" pour activer la synchro des profils ff (en test)

# Log fermeture de session
echo $ladate >> $fichlog
echo "Fermeture de session : lancement deletelinks.sh" >> $fichlog

# Détection du wm utilisé par l'utilisateur
sleep 1
if [ "$GDMSESSION" = "LXDE" ]; then
WM="lxde"
fi
if [ "$GDMSESSION" = "mate" ]; then
WM="mate"
fi
if [ "$GDMSESSION" = "gnome" ]; then
WM="gnome"
fi

if [ $syncff = "yes" ]; then
# Synchro FF
tuxffdir="/home/$USER/.mozilla/firefox/default"
if [ -n "`ls -A $tuxffdir`" ]; then
echo "" >> $fichlog_ff
echo "Le répertoire de profil ff linux n'est pas vide, on synchronise..." >> $fichlog_ff
echo "Synchro FF linux -> windoze..." >> $fichlog
echo "Synchro FF linux -> windoze..." >> $fichlog_ff
rsync -av /home/$USER/.mozilla/firefox/default/* /home/$USER/AppData/Roaming/Mozilla/Firefox/Profiles/default/ >> $fichlog_ff
fi
else
echo "Synchro des profils FF désactivée."  >> $fichlog_ff
fi

echo "" >> $fichlog_ff

# Correction des droits
#chown -R $USER:domain\ users /home/$USER

# Suppression des raccourcis copiés à la connexion (tous wm)
ls /home/$USER/link | while read A ; do rm -f /home/$USER/Bureau/$A ; done
echo "Fermeture de session : raccourcis supprimés" >> $fichlog

# Si c'est une session LXDE :
#if [ "$GDMSESSION" = "LXDE" ];then
sed -i 's/icon/list/g' /home/$USER/.config/pcmanfm/LXDE/pcmanfm.conf
#fi
sed -i 's/_exec=0/_exec=1/g' /home/$USER/.config/libfm/libfm.conf
sed -i 's/Desktop/Bureau/g' /home/$USER/.config/user-dirs.dirs

rm -f /home/$USER/link/*

echo "Fermeture de session : fin exécution deletelinks.sh" >> $fichlog

rm -rf /home/$USER/Desktop
rm -f /home/$USER/.mozilla/firefox/default/.parentlock

# Vidage de la corbeille de l'utilisateur
rm -rf /home/$USER/.local/share/Trash/*

umount /home/$USER
killall -u $USER
sleep 1

umount /media/Classes
umount /media/Partages
umount /home/$USER
exit 0

