#!/bin/bash
#
#***********************************************
# nemo_unefois.sh
#
# Installe nemo pour remplacer nautilus qui merdoie grave
# Ne s'exécute que sur les clients gnome
#
# 20200920
#***********************************************

texte_temoin="Nemo installé"    
# Témoin de passage du script sur le client
script_nom="$(basename ${0})"   
nom="${script_nom%.*}"          # et sans l'extension
temoin=/root/temoins/temoin.${nom}

tester_se4()
{
    # pour éviter de lancer le script sur le se4fs
    # On rend le script "crétin-résistant"
    [ -e /var/sambaedu/clinux ] && echo "Malheureux… Ce script est à exécuter sur les clients-Linux, pas sur le serveur !" && exit 1
}

tester_temoin()
{
    # On teste si le temoin est présent ou non
    if [ ! -e "${temoin}" ]
    then
        # pas de témoin : on peut continuer
        true
    else
        # le témoin existe : on sort du programme
        exit 0
    fi
}

poser_temoin()
{
    # on pose un témoin d'exécution du programme
    echo "${texte_temoin}" > ${temoin}
}

installer_nemo()
{
# On installe nemo et on desactive nautilus
if [ -e /usr/sbin/gdm3 ]; then
apt update && apt install -y nemo
xdg-mime default nemo.desktop inode/directory application/x-gnome-saved-search
gsettings set org.gnome.desktop.background show-desktop-icons false
gsettings set org.nemo.desktop show-desktop-icons true
mv /usr/bin/nautilus /usr/bin/nautilus.bak
# On corrige les favoris du dash gnome
echo "[org/gnome/shell]
favorite-apps = ['nemo.desktop', 'firefox-esr.desktop', 'libreoffice-writer.desktop', 'gedit.desktop', 'gnome-terminal.desktop']" > /etc/dconf/db/local.d/00-favorite-apps
dconf update
	if [ -x /usr/bin/nemo ]; then
	poser_temoin
	else
	exit 0
	file pb 
fi
}

####
tester_se4   
tester_temoin
#installer_nemo
exit 0
