#!/bin/bash
#
#***********************************************
# test_unefois.sh
#
# Peut servir de modèle pour les scripts unefois (ou chaquefois)
# → rajoutez votre programme            → voir en bas de ce fichier
# → rajoutez un texte pour le témoin    → variable texte_temoin
#
# Si c'est un script chaquefois, commentez la ligne tester_temoin
#
# 20200614
#***********************************************

texte_temoin="Sasséfait"    # Mettre ici un texte court

# Témoin de passage du script sur le client
script_nom="$(basename ${0})"   # nom du script, sans le chemin
nom="${script_nom%.*}"          # et sans l'extension
temoin=/root/temoins/temoin.${nom}

tester_se4()
{
    # pour éviter de lancer le script sur le se4fs
    # On rend le script "crétin-résistant"
    [ -e /var/sambaedu/clinux ] && echo "Malheureux… Ce script est à exécuter sur les clients-Linux, pas sur le serveur !" && exit 1
}

tester_temoin()
{
    # On teste si le temoin est présent ou non
    if [ ! -e "${temoin}" ]
    then
        # pas de témoin : on peut donc continuer
        true
    else
        # le témoin existe : on sort du programme
        exit 0
    fi
}

poser_temoin()
{
    # on pose un témoin d'exécution du programme
    echo "${texte_temoin}" > ${temoin}
}

installer_bonne_humeur()
{
    # On installe la bonne humeur du jour
	# apt-get install bonnehumeur
 	echo ""
}

#*****
# programme
tester_se4      # pour éviter de lancer le script sur le se4fs
tester_temoin   # à commenter pour un script chaquefois
# ↓ votre programme : début ↓
installer_bonne_humeur
# ↑ votre programme : fin ↑
poser_temoin
exit 0
# fin du programme


