#!/bin/bash
# **********************************************************
# reconfigure_client.sh
# A lancer sur un client déjà intégré pour reconfiguration
# en cas de problème ou de mise à jour importante coté se4
# 20200923
# **********************************************************

ROUGE="\\033[1;31m"
VERT="\\033[1;32m"
BLEU="\\033[1;34m"
JAUNE="\\033[1;33m"

COLTITRE="\033[1;35m"   # Rose
COLDEFAUT="\033[0;33m"  # Brun-jaune
COLCMD="\033[1;37m"     # Blanc
COLERREUR="\033[1;31m"  # Rouge
COLTXT="\033[0;37m"     # Gris
COLINFO="\033[0;36m"	# Cyan
COLPARTIE="\033[1;34m"	# Bleu

# Test pour les distraits
[ -e /var/sambaedu/clinux ] && echo "Malheureux... Ce script est a exécuter sur les clients Linux, pas sur le se4 !" && exit 1

IPSE4FS=##ippart##

# Messages d'instructions
echo ""
echo -e "$JAUNE"
echo "############################################################################################"
echo "Ce script va reconfigurer ce client pour prendre en compte des màj/changements importants."
echo ""
echo "Attention, il faut d'abord (re)lancer /var/samabaedu/clinux/se4_prepare_ sur le se4fs"
echo "pour récupérer la dernière version à jour."
echo "############################################################################################"
echo ""
echo -e "$JAUNE" "Avez vous lancé se4_prepare_ sur le se4fs ? [o/N]"
echo -e "$COLTXT"
read rep
if [ "$rep" = "o" -o "$rep" = "oui" ]; then
	echo -e "$COLINFO"
	echo "Ok, on peut continuer !"
	echo -e "$COLTXT"
	echo ""
else
	echo -e "$COLINFO" 
	echo -e "$COLTITRE" "Il faut relancer se4_prepare_ sur le se4fs,"
	echo -e "$COLTITRE" "puis relancer ce script sur le client."
	echo -e "$COLTXT"
	echo ""
	exit 0
fi
echo -e "$COLTXT"

# Récupération du dernier script de reconfiguration depuis le se4 et lancement 
cd /root
rm -f /root/rejoint_buster_se4.sh
rm -f /root/maj_buster_se4.sh
wget --no-proxy http://$IPSE4FS/os/clinux/maj_buster_se4.sh
chmod +x /root/maj_buster_se4.sh
bash /root/maj_buster_se4.sh
exit 0
