#!/bin/bash
#
# 
#*********************************************************************
# vnc_rdp.sh
# Ce script configure vnc et rdp pour le poste
#*********************************************************************
# Section a completer
DATESCRIPT="20191215"

#Couleurs
ROUGE="\\033[1;31m"
VERT="\\033[1;32m"
BLEU="\\033[1;34m"
JAUNE="\\033[1;33m"

COLTITRE="\033[1;35m"   # Rose
COLDEFAUT="\033[0;33m"  # Brun-jaune
COLCMD="\033[1;37m"     # Blanc
COLERREUR="\033[1;31m"  # Rouge
COLTXT="\033[0;37m"     # Gris
COLINFO="\033[0;36m"	# Cyan
COLPARTIE="\033[1;34m"	# Bleu

. /usr/share/sambaedu/includes/config.inc.sh

# vnc : 
apt install x11vnc xrdp
/sbin/adduser xrdp ssl-cert  

# f !
x11vnc -storepasswd $config_guac_password /etc/vnc/vncpasswd

# a lancer au démarrage a un moment donné, après X ?
# lightdm
x11vnc -q -rfbauth /etc/vnc/vnc_passwd  -ncache 10 -bg -auth /var/run/lightdm/root/:0 -shared -forever
# gdm3 
#x11vnc -q -rfbauth /etc/vnc/vnc_passwd  -ncache 10 -bg -auth /run/user/1000/gdm/Xauthority -shared -forever